# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.IDataSource

Packages that use IDataSource
Package
Description
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of IDataSource in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return IDataSource
Modifier and Type
Method
Description
`IDataSource`
SimpleElementFactory.`createDataSource(DataSourceHandle handle)`

## Uses of IDataSource in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi that return IDataSource
Modifier and Type
Method
Description
`IDataSource`
ISimpleElementFactory.`createDataSource(DataSourceHandle handle)`
Creates the IDataSource instance.
`IDataSource`
IDataSet.`getDataSource()`
Returns `IDataSource` for this data set.
`IDataSource`
IReportDesign.`getDataSource(String name)`
method to get data source design by name